Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#30295 - [tuxguitar] stopped to work with openjdk6

Attached to Project: Community Packages
Opened by Dmytro Bagrii (dimich) - Thursday, 14 June 2012, 17:41 GMT
Last edited by Sergej Pupykin (sergej) - Tuesday, 24 July 2012, 16:06 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Tuxguitar stopped to work after openjdk6 is updated to 6.b24_1.11.3-1:

<code>
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/eclipse/swt/widgets/Control : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
at org.herac.tuxguitar.gui.TGMain.main(Unknown Source)
</code>

Tuxguitar version 1.2-5
This task depends upon

Closed by  Sergej Pupykin (sergej)
Tuesday, 24 July 2012, 16:06 GMT
Reason for closing:  Not a bug
Additional comments about closing:  Ask for swt package for openjdk6 if you really need it.
Comment by Michael Satur (msatur) - Thursday, 14 June 2012, 18:43 GMT
downgrading package swt (3.7.2-1 => 3.7.1-1) allows tuxguitar to run.
Comment by Sergej Pupykin (sergej) - Friday, 15 June 2012, 13:38 GMT
Can it be reproduced it you install jdk7-openjdk ?
Comment by Michael Satur (msatur) - Friday, 15 June 2012, 14:02 GMT
>> Can it be reproduced it you install jdk7-openjdk ?
no. works fine with jre7-openjdk and swt 3.7.2
Comment by Dmytro Bagrii (dimich) - Friday, 15 June 2012, 14:56 GMT
Sorry, it's my mistake about openjdk6. The problem appeared after swt upgrade. Downgrading swt helps, thanks.
Comment by Dmytro Bagrii (dimich) - Friday, 15 June 2012, 14:56 GMT
Sorry, it's my mistake about openjdk6. The problem appeared after swt upgrade. Downgrading swt helps, thanks.
Comment by Jonathan De Nil (ulukai) - Friday, 29 June 2012, 06:37 GMT
I have the same problem. With SWT 3.7.2-1 it's not working. Downgrading to 3.7.1 works for now.

Loading...